Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Arduino compilation error
#1
Hi!
I have a issue when try to load to arduino 2 the last version ( 2 beta 6), i have this:

"Arduino:1.5.6-r2 (Windows 7), Scheda:"Arduino Due (Programming Port)"

mE2_motor.ino: In function 'boolean motor_checkCurvesMaxSpeedOk()':
mE2_motor:1015: error: 'class MotorBezier' has no member named 'getMaxSlope'
"
Can somebody help me?

Thanks in advance.

Regards

Gianfranco
Reply
#2
(08-21-2014, 05:47 PM)GFCODO Wrote: Hi!
I have a issue when try to load to arduino 2 the last version ( 2 beta 6), i have this:

"Arduino:1.5.6-r2 (Windows 7), Scheda:"Arduino Due (Programming Port)"

mE2_motor.ino: In function 'boolean motor_checkCurvesMaxSpeedOk()':
mE2_motor:1015: error: 'class MotorBezier' has no member named 'getMaxSlope'
"
Can somebody help me?

Thanks in advance.

Regards

Gianfranco

Please install the latest libraries as well - without them it will not work.

Cheers,
Airic
Reply
#3
(08-22-2014, 10:10 AM)Airic Lenz Wrote:
(08-21-2014, 05:47 PM)GFCODO Wrote: Hi!
I have a issue when try to load to arduino 2 the last version ( 2 beta 6), i have this:

"Arduino:1.5.6-r2 (Windows 7), Scheda:"Arduino Due (Programming Port)"

mE2_motor.ino: In function 'boolean motor_checkCurvesMaxSpeedOk()':
mE2_motor:1015: error: 'class MotorBezier' has no member named 'getMaxSlope'
"
Can somebody help me?

Thanks in advance.

Regards

Gianfranco

Please install the latest libraries as well - without them it will not work.

Cheers,
Airic

Hi Airic, i have substituted all libraries with the new ones (from package 2 beta 6) but i have the same error.

Thanks.

Gianfranco
Reply
#4
(08-25-2014, 02:41 PM)GFCODO Wrote: Hi Airic, i have substituted all libraries with the new ones (from package 2 beta 6) but i have the same error.

Thanks.
Gianfranco

Are you sure that you saved the new filed in the correct folder? The function is definitely there and the compile error indicates that you are using an old version of the library.

Please open the Arduino SDK, and then open [File] --> [Preferences]. The path where the libraries should be is the "Sketchbook location". In this folder should be a sub folder called "libraries" and in there you need to save the libraries - each in its own folder (e.g. "StepperMotor") for the files you are having issues with).

Cheers
Reply
#5
(08-25-2014, 04:33 PM)Airic Lenz Wrote:
(08-25-2014, 02:41 PM)GFCODO Wrote: Hi Airic, i have substituted all libraries with the new ones (from package 2 beta 6) but i have the same error.

Thanks.
Gianfranco

Are you sure that you saved the new filed in the correct folder? The function is definitely there and the compile error indicates that you are using an old version of the library.

Please open the Arduino SDK, and then open [File] --> [Preferences]. The path where the libraries should be is the "Sketchbook location". In this folder should be a sub folder called "libraries" and in there you need to save the libraries - each in its own folder (e.g. "StepperMotor") for the files you are having issues with).

Cheers

Airic, you are right, i updated them in the wrong directory.
Now works well.

Thanks a lot for assistance.

Regards

Gianfranco
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)